Agents / REST API

Get agent skill loadout

Resolve the effective role and task skill loadout for an external coding agent, including workspace overlays, provider SOPs, versions, hashes, required context, and MCP resource URIs. Never invokes hosted inference.

GET /api/agents/skills/effective-loadoutDeterministic operation

Parameters

workspaceIdOptional · string
Optional with API key auth, inferred from the key.
agentRoleRequired · string
See the input schema for this field.scout · researcher · icp · strategist · writer · campaign_builder · closer · sdr · coach · curator · drafter · publisher · prospector · watcher · commenter
taskTypeRequired · string
See the input schema for this field.campaign_strategy · campaign_table_design · company_list_build · people_fanout · account_map · company_research · person_research · personalization_research · signal_research · icp_qualification · linkedin_connection_note · linkedin_dm · linkedin_followup · reply_classification · reply_draft · campaign_analysis · experiment_design · content_ideation · content_draft
objectiveOptional · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/agents/skills/effective-loadout?agentRole=scout&taskType=campaign_strategy" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "description": "Optional with API key auth, inferred from the key."
    },
    "agentRole": {
      "type": "string",
      "enum": [
        "scout",
        "researcher",
        "icp",
        "strategist",
        "writer",
        "campaign_builder",
        "closer",
        "sdr",
        "coach",
        "curator",
        "drafter",
        "publisher",
        "prospector",
        "watcher",
        "commenter"
      ]
    },
    "taskType": {
      "type": "string",
      "enum": [
        "campaign_strategy",
        "campaign_table_design",
        "company_list_build",
        "people_fanout",
        "account_map",
        "company_research",
        "person_research",
        "personalization_research",
        "signal_research",
        "icp_qualification",
        "linkedin_connection_note",
        "linkedin_dm",
        "linkedin_followup",
        "reply_classification",
        "reply_draft",
        "campaign_analysis",
        "experiment_design",
        "content_ideation",
        "content_draft"
      ]
    },
    "objective": {
      "type": "string"
    }
  },
  "required": [
    "agentRole",
    "taskType"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview